<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@ page contentType="text/html;charset=windows-1252"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces" prefix="af"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces/html" prefix="afh"%>
<f:view>
  <html>
    <head>
      <meta http-equiv="Content-Type"
            content="text/html; charset=windows-1252"/>
      <title>MyFirstAdfFacesPage</title>
    </head>
    <body><h:form>
        <h:panelGrid columns="2" border="1">
          <af:tree var="node" value="#{libaryTreeHandler.libraryTreeModel}"
                   binding="#{libaryTreeHandler.tree}" varStatus="status">
            <f:facet name="nodeStamp">
              <h:panelGroup>
                <h:outputText value="*"
                              rendered="#{libaryTreeHandler.selectedNode == node}"/>
                <h:commandLink id="my" title="#{node.description}"
                               actionListener="#{libaryTreeHandler.process}"
                               rendered="#{node.nodeType == 'author'}">
                  <h:outputText value="#{node.description}"/>
                  <f:param value="#{node.description}" name="authorName"/>
                </h:commandLink>
                <af:outputText value="#{node.description}"
                               rendered="#{node.nodeType != 'author'}"/>
                <af:outputText value=" (#{node.childCount})"/>
                <af:outputText value=" (#{node.nodeType})"
                               rendered="#{node.nodeType == 'author'}"/>
              </h:panelGroup>
            </f:facet>
          </af:tree>
          <h:panelGroup rendered="#{libaryTreeHandler.selectedNode!= null }">
            <f:verbatim>
              <h3>Results of the currently selected author</h3>
            </f:verbatim>
            <h:outputText style="font-size:70%; font-family:arial"
                          value="#{libaryTreeHandler.selectedNode.longDescription}"/>
          </h:panelGroup>
        </h:panelGrid>
      </h:form></body>
  </html>
</f:view>